matrix:
  platform:
    - debian11
    - ubuntu2204
  bazel:
    - 7.x
    - 8.x

tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - '@aws_sdk//:core'
      - '@aws_sdk//:s3'
      - '@aws_sdk//:transfer'
    build_flags:
      - '--cxxopt=-std=c++17'

incompatible_flags:
  # https://github.com/bazelbuild/bazel/issues/12933
  "--incompatible_config_setting_private_default_visibility":
    - 7.x
    - 8.x
  # https://github.com/bazelbuild/bazel/issues/17032
  "--incompatible_disable_starlark_host_transitions":
    - 7.x
    - 8.x
  # https://github.com/bazelbuild/bazel/issues/22080
  "--incompatible_disable_native_repo_rules":
    - 7.x
    - 8.x
  # Disabled because of a transitive dependency on `opentelemetry-cpp` that is
  # incompatible.
  "--incompatible_autoload_externally=":
    - 7.x
    #- 8.x
  "--incompatible_disable_autoloads_in_main_repo":
    - last_green
    - rolling
  # https://github.com/bazelbuild/bazel/issues/7026
  "--incompatible_strict_action_env":
    - 7.x
    - 8.x
